import { Button } from 'antd';
import styles from "./index.less";


const StepsButton = (props) => {
    return <div className={styles.steps_btns}>
        {props.current > 0 && (
            <Button
                style={{
                    margin: '0 8px',
                }}
                onClick={props.prev}
            >
                上一步：{props.steps[props.current - 1]}
            </Button>
        )}

        {props.current < props.steps.length - 1 && (
            <Button type="primary" htmlType="submit">
                下一步：{props.steps[props.current + 1]}
            </Button>
        )}

        {props.current === props.steps.length - 1 && (
            <Button type="primary">
                创建配置
            </Button>
        )}
    </div>
}

export default StepsButton;